Get discovered services

View as Markdown
Gets a list of all [discovered services](https://learning.postman.com/docs/api-catalog/overview#discover-apis-and-services) in the API Catalog.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Query parameters

discoverySourceenumOptional
Filter results by the given discovery source type: - `api_gateway_app` — API Gateway integrations. - `insights_project` — Postman Insights. - `infra_watcher` — Cluster Watcher. - `public_api` — Services manually added using the POST `/api-catalog/discovery-services` endpoint.
Allowed values:
statusstringOptional

A comma-separated list of statuses to filter the results by. Accepts the discovered, integrated, and archived values.

searchstringOptional

Filter results by the given value that match a service’s name. Matching is not case-sensitive.

limitintegerOptional1-100Defaults to 20
The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

Response

Successful Response
metaobject
The response's meta information for paginated results.
datalist of objects
A list of discovered services.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error